summaryrefslogtreecommitdiff
path: root/recipes-core/annex-client/annex-client/annex-client.init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-core/annex-client/annex-client/annex-client.init')
-rw-r--r--recipes-core/annex-client/annex-client/annex-client.init43
1 files changed, 43 insertions, 0 deletions
diff --git a/recipes-core/annex-client/annex-client/annex-client.init b/recipes-core/annex-client/annex-client/annex-client.init
new file mode 100644
index 0000000..4a5dc4b
--- /dev/null
+++ b/recipes-core/annex-client/annex-client/annex-client.init
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+MONITOR="/sbin/monitor-annexcd"
+CLIENT="annexcd"
+
+start() {
+ if [[ $(pidof -x $MONITOR) ]]; then
+ echo "RM client is already running"
+ else
+ echo "Starting RM client"
+ $MONITOR &
+ fi
+}
+
+stop() {
+ MONITOR_PID=$(pidof -x $MONITOR)
+ CLIENT_PID=$(pidof $CLIENT)
+ if [[ $MONITOR_PID ]]; then
+ echo "Stopping RM client"
+ kill $MONITOR_PID $CLIENT_PID
+ else
+ echo "RM client is not running"
+ fi
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/annex-client {start|stop|restart}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0